Skip to content
Guides
StorageAssets
asset:create

Upload file

POST/v1/storage/assets

Upload file. A successful request returns HTTP 201 with the documented response body.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/storage/assets" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -F file="@./polo-de-algodon.jpg" \  -F directory="products" \  -F altText="Polo de algodón azul"
{  "id": "7204558912004325301",  "fileName": "Example resource",  "publicUrl": "https://example.com/resource",  "contentType": "example",  "size": 1,  "width": 1,  "height": 1,  "altText": "example",  "directory": "example",  "metadata": {    "key": "example"  },  "createdOn": "2026-08-01T15:30:00Z"}